Loading...
Searching...
No Matches
jni::TypedMethods< jboolean > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallBooleanMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualBooleanMethod
static constexpr auto | GetField = &JNIEnv::GetBooleanField
static constexpr auto | SetField = &JNIEnv::SetBooleanField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticBooleanMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticBooleanField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticBooleanField
static constexpr auto | NewArray = &JNIEnv::NewBooleanArray
static constexpr auto | GetArrayElements = &JNIEnv::GetBooleanArrayElements
static constexpr auto | ReleaseArrayElements = &JNIEnv::ReleaseBooleanArrayElements
static constexpr auto | GetArrayRegion = &JNIEnv::GetBooleanArrayRegion
static constexpr auto | SetArrayRegion = &JNIEnv::SetBooleanArrayRegion

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jboolean >::CallMethod = &JNIEnv::CallBooleanMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jboolean >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualBooleanMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jboolean >::CallStaticMethod = &JNIEnv::CallStaticBooleanMethod

static constexpr

## GetArrayElements

auto jni::TypedMethods< jboolean >::GetArrayElements = &JNIEnv::GetBooleanArrayElements

static constexpr

## GetArrayRegion

auto jni::TypedMethods< jboolean >::GetArrayRegion = &JNIEnv::GetBooleanArrayRegion

static constexpr

## GetField

auto jni::TypedMethods< jboolean >::GetField = &JNIEnv::GetBooleanField

static constexpr

## GetStaticField

auto jni::TypedMethods< jboolean >::GetStaticField = &JNIEnv::GetStaticBooleanField

static constexpr

## NewArray

auto jni::TypedMethods< jboolean >::NewArray = &JNIEnv::NewBooleanArray

static constexpr

## ReleaseArrayElements

auto jni::TypedMethods< jboolean >::ReleaseArrayElements = &JNIEnv::ReleaseBooleanArrayElements

static constexpr

## SetArrayRegion

auto jni::TypedMethods< jboolean >::SetArrayRegion = &JNIEnv::SetBooleanArrayRegion

static constexpr

## SetField

auto jni::TypedMethods< jboolean >::SetField = &JNIEnv::SetBooleanField

static constexpr

## SetStaticField

auto jni::TypedMethods< jboolean >::SetStaticField = &JNIEnv::SetStaticBooleanField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/typed_methods.hpp